package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;

import com.ruoyi.gysl.entity.baseModel.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 标签管理(GyslBqgl)表实体类
 *
 * @author makejava
 * @since 2025-04-15 09:18:33
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gysl_bqgl")
@ApiModel(value="标签管理")
public class GyslBqgl extends BaseModel {
   

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @ApiModelProperty(value = "项目id")
    private Long xmId;
   

    @ApiModelProperty(value ="标签类型" )
    private Integer type;
   

    @ApiModelProperty(value ="标签名称" )
    private String name;
   
}

