package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.poi.ss.usermodel.IndexedColors;

import java.io.Serializable;

/**
 * 细分产业管理(Xfcygl)表实体类
 *
 * @author makejava
 * @since 2025-03-22 10:39:47
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("gysl_xfcygl")
public class Xfcygl extends BaseModel implements Serializable {

    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "产业类别")
    @Excel(name = "产业类别", dictType = "cylb", comboReadDict = true,headerBackgroundColor= IndexedColors.RED1,required = true)
    private String cylb;

    @ApiModelProperty(value = "产业细分")
    @Excel(name = "产业细分",headerBackgroundColor= IndexedColors.RED1,required = true)
    private String cyxf;

    @ApiModelProperty(value = "原材料及生产环节")
    @Excel(name = "原材料及生产环节")
    private String ycljschj;

    @ApiModelProperty(value = "上楼适应性")
    @Excel(name = "上楼适应性", dictType = "slsyx", comboReadDict = true)
    private Integer slsyx;
}

