package com.ruoyi.gysl.entity.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 项目知识库分页请求类
 * @author du
 * @since 2025/3/21 14:37
 */
@Data
public class XmzskPageReq {

    /**
     * 文件名称
     */
    @NotBlank
    @ApiModelProperty(value = "文件名称 / 要素名称")
    private String name;

    /**
     * 类型
     */
    @NotBlank
    @ApiModelProperty(value = "类型  / 要素类别")
    private String lx;
}
