package com.ruoyi.gysl.entity.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 要素修改实体类
 * @author du
 * @since 2025/4/3 16:31
 */
@Data
public class YsUpdateReq {


    @ApiModelProperty(value = "旧 1:关键要素；2：重要要素")
    @NotBlank
    private String oldType;


    @ApiModelProperty(value = "旧 要素名称")
    @NotBlank
    private String oldName;


    @ApiModelProperty(value = "新 1:关键要素；2：重要要素")
    @NotBlank
    private String newType;

    @ApiModelProperty(value = "新 要素名称")
    @NotBlank
    private String newName;
}
