package com.ruoyi.gysl.entity.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 项目月度信息投资统计
 * @author du
 * @since 2025/5/8 9:34
 */
@Data
public class YdxxtjResponse {

    @ApiModelProperty("月度")
    private String month;

    @ApiModelProperty("季度")
    private Integer jd;

    @ApiModelProperty("季度投资额")
    private BigDecimal jdtze;

    @ApiModelProperty("月投资额")
    private BigDecimal ytze;

    @ApiModelProperty("月投资比例")
    private BigDecimal ytzbl;

    @ApiModelProperty("累计投资额")
    private BigDecimal ljtze;
}
