package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.BuildingInformation;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;

import javax.management.Query;
import java.util.List;

/**
 * (BuildingInformation)表服务接口
 *
 * @author makejava
 * @since 2025-02-24 11:10:06
 */
public interface BuildingInformationService extends IService<BuildingInformation> {

    /**
     * 查询所有数据
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    List<BuildingInformation> selectAll(ZwIdPageReq zwIdPageReq);


    /**
     * 分组之后拿到每个项目id对应的一个每个值都是max的楼栋
     */
    BuildingInformation getOneXmIdToMax(Long id);

    /**
     * 所有数据的最大值
     */
    BuildingInformation getAllMax();

    /**
     * 查询所有的建筑信息,只保留是重要楼栋的max条
     */
    List<BuildingInformation> getImportantBuildings();
}


