package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.Cybq;
import com.ruoyi.gysl.entity.request.CybqRequest;

import java.util.List;

/**
 * 产业标签(GyslCybq)表服务接口
 *
 * @author makejava
 * @since 2025-04-02 11:02:35
 */
public interface CybqService extends IService<Cybq> {


    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param gyslCybq 查询实体
     * @return 所有数据
     */
    Page<Cybq> page(Page<Cybq> page, CybqRequest gyslCybq);

    /**
     * 查询所有数据
     *
     * @param gyslCybq 查询实体
     * @return 所有数据
     */
    List<Cybq> page(CybqRequest gyslCybq);
}

