package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.itextpdf.layout.Document;
import com.ruoyi.gysl.entity.GyslProjectHandbook;
import com.ruoyi.gysl.entity.request.HandbookRequest;
import com.ruoyi.gysl.entity.response.BasicInformationResponse;

import javax.servlet.http.HttpServletResponse;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.Serializable;
import java.net.MalformedURLException;
import java.util.List;

/**
 * 项目手册(GyslProjectHandbook)表服务接口
 *
 * @author makejava
 * @since 2025-04-14 13:56:59
 */
public interface GyslProjectHandbookService extends IService<GyslProjectHandbook> {

    /**
     * 分页查询所有数据
     *
     * @param
     * @param g 查询实体
     * @return 所有数据
     */
    Page<GyslProjectHandbook> page(Page<GyslProjectHandbook> a1, HandbookRequest g);


    /**
     * 生成pdf
     */
    void generatePdfs(HttpServletResponse response,Integer id) throws IOException;

    /**
     * 将固定字段切换
     */
    String changeData(String s, BasicInformationResponse b) ;

    /**
     * 通过主键查询单条数据
     */
    GyslProjectHandbook getData(Serializable id);
}


