package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.Xmpjqd;
import com.ruoyi.gysl.entity.request.XmpjqdPageReq;
import com.ruoyi.gysl.entity.response.XmhxResponse;
import com.ruoyi.gysl.entity.response.XmpjqdOneResponse;

import java.io.Serializable;
import java.util.List;

/**
 * 项目评价清单(Xmpjqd)表服务接口
 *
 * @author makejava
 * @since 2025-03-22 09:22:33
 */
public interface XmpjqdService extends IService<Xmpjqd> {

    /**
     * 分页查询所有目录
     *
     * @param page 分页对象
     * @return 所有数据
     */
    Page<Xmpjqd> page(Page<Xmpjqd> page, XmpjqdPageReq req);

    /**
     * 通过主键查询单条项目评价清单
     *
     * @param id 主键
     * @return 单条数据
     */
    List<XmpjqdOneResponse> selectOnePj(Long id);

    /**
     * 通过主键查询单条项目画像
     *
     * @param id 主键
     * @return 单条数据
     */
    List<XmhxResponse> oneXmhx(Long id);
}

