package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.mapper.MlMapper;
import com.ruoyi.gysl.entity.Ml;
import com.ruoyi.gysl.entity.request.MlPageReq;
import com.ruoyi.gysl.service.MlService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 目录管理(Ml)表服务实现类
 *
 * @author makejava
 * @since 2025-03-22 09:21:57
 */
@Service("mlService")
public class MlServiceImpl extends ServiceImpl<MlMapper, Ml> implements MlService {

    /**
     * 分页查询所有目录
     *
     * @param page 分页对象
     * @return 所有数据
     */
    @Override
    public Page<Ml> page(Page<Ml> page, MlPageReq req) {
        return baseMapper.page(page,req);
    }


    /**
     * 查询所有目录
     *
     * @return 所有数据
     */
    @Override
    public List<Ml> page(MlPageReq req) {
        return baseMapper.page(req);
    }
}

