package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.mapper.PlanInformationMapper;
import com.ruoyi.gysl.entity.PlanInformation;
import com.ruoyi.gysl.service.PlanInformationService;
import org.springframework.stereotype.Service;

/**
 * 规划信息(PlanInformation)表服务实现类
 *
 * @author makejava
 * @since 2025-02-24 14:21:58
 */
@Service("planInformationService")
public class PlanInformationServiceImpl extends ServiceImpl<PlanInformationMapper, PlanInformation> implements PlanInformationService {


    /**
     * 根据项目id查询规划信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    @Override
    public PlanInformation selectAll(ZwIdPageReq zwIdPageReq) {
        return baseMapper.selectAll(zwIdPageReq);
    }
}

