package com.ruoyi.gysl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 模型管理(Mx)实体类
 *
 * @author makejava
 * @since 2025-02-24 13:40:36
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gysl_mx")
@ApiModel(value = "Mx", description = "模型管理")
public class Mx extends BaseModel implements Serializable {
    private static final long serialVersionUID = -78397958900753109L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 1:关键要素；2：重要要素
     */
    @ApiModelProperty(value = "1:关键要素；2：重要要素")
    @NotBlank
    private String type;

    /**
     * 要素名称
     */
    @ApiModelProperty(value = "要素名称")
    @NotBlank
    private String name;

    /**
     * 具体指标
     */
    @ApiModelProperty(value = "具体指标")
    private String jtzb;

    /**
     * 详细要求
     */
    @ApiModelProperty(value = "详细要求")
    private String xxyq;
}
