package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 项目图例(ProjectLegend)表实体类
 *
 * @author makejava
 * @since 2025-03-19 10:12:35
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName(value = "gysl_project_legend")
public class ProjectLegend extends BaseModel implements Serializable {

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目id")
    private Long xmId;

    @ApiModelProperty("图片类型 1外部 2内部")
    private Integer imgType;

    @ApiModelProperty("图片")
    private String img;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;
}

