package com.ruoyi.gysl.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.request.CybqRequest;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.gysl.entity.Cybq;

/**
 * 产业标签(GyslCybq)表数据库访问层
 *
 * @author makejava
 * @since 2025-04-02 11:02:34
 */
public interface CybqMapper extends BaseMapper<Cybq> {


    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param gyslCybq 查询实体
     * @return 所有数据
     */
    Page<Cybq> page(Page<Cybq> page, @Param("req") CybqRequest gyslCybq);

    List<Cybq> page(@Param("req") CybqRequest gyslCybq);
}

