package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.Mx;
import com.ruoyi.gysl.entity.request.MxRequest;
import com.ruoyi.gysl.entity.request.XmzskPageReq;
import com.ruoyi.gysl.entity.request.YsUpdateReq;
import com.ruoyi.gysl.entity.response.MxPageResponse;

import java.util.List;


/**
 * 模型管理(Mx)表服务接口
 *
 * @author makejava
 * @since 2025-02-24 13:40:38
 */
public interface MxService extends IService<Mx> {

    /**
     * 查询所有模型数据
     *
     * @return 所有数据
     */
    List<MxPageResponse> selectAll(MxRequest mxRequest);

    /**
     * 新增指标数据
     *
     * @param mx 实体对象
     * @return 新增结果
     */
    int add(Mx mx);

    /**
     * 修改要素
     * @param mx
     * @return
     */
    Boolean updateYs(YsUpdateReq mx);

    /**
     * 删除要素
     */
    Boolean deleteYs(XmzskPageReq req);
}

